ServerEvents.recipes(event => {
  // Remove vanilla iron armor recipes
  event.remove({ output: 'minecraft:iron_helmet' })
  event.remove({ output: 'minecraft:iron_chestplate' })
  event.remove({ output: 'minecraft:iron_leggings' })
  event.remove({ output: 'minecraft:iron_boots' })
  event.remove({ output: 'minecraft:iron_sword' })
  event.remove({ output: 'minecraft:iron_pickaxe' })
  event.remove({ output: 'minecraft:iron_axe' })
  event.remove({ output: 'minecraft:iron_shovel' })
  event.remove({ output: 'minecraft:iron_hoe' })
  event.remove({ output: 'minecraft:shears' })
  event.remove({ output: 'minecraft:bucket' })
  event.remove({ output: 'minecraft:flint_and_steel' })
  event.remove({ output: 'minecraft:bedrock' })
  event.remove({ output: 'mob_grinding_utils:mob_swab'})
  

  // Add new recipes using Create's iron sheets
  event.shaped('minecraft:flint_and_steel', [
    'S ',
    ' F'
  ], {
    S: 'create:iron_sheet',
    F: 'minecraft:flint'
  })

  event.shaped('minecraft:iron_helmet', [
    'SSS',
    'S S'
  ], {
    S: 'create:iron_sheet'
  })

  event.shaped('minecraft:iron_chestplate', [
    'S S',
    'SSS',
    'SSS'
  ], {
    S: 'create:iron_sheet'
  })

  event.shaped('minecraft:iron_leggings', [
    'SSS',
    'S S',
    'S S'
  ], {
    S: 'create:iron_sheet'
  })

  event.shaped('minecraft:iron_boots', [
    'S S',
    'S S'
  ], {
    S: 'create:iron_sheet'
  })

    event.shaped('minecraft:iron_sword', [
    'S',
    'S',
    'T'
  ], {
    S: 'create:iron_sheet',
    T: 'minecraft:stick'
  })

  event.shaped('minecraft:iron_pickaxe', [
    'SSS',
    ' T ',
    ' T '
  ], {
    S: 'create:iron_sheet',
    T: 'minecraft:stick'
  })

  event.shaped('minecraft:iron_axe', [
    'SS',
    'ST',
    ' T'
  ], {
    S: 'create:iron_sheet',
    T: 'minecraft:stick'
  })

  event.shaped('minecraft:iron_shovel', [
    'S',
    'T',
    'T'
  ], {
    S: 'create:iron_sheet',
    T: 'minecraft:stick'
  })

  event.shaped('minecraft:iron_hoe', [
    'SS',
    ' T',
    ' T'
  ], {
    S: 'create:iron_sheet',
    T: 'minecraft:stick'
  })

  event.shaped('minecraft:shears', [
    ' S',
    'S '
  ], {
    S: 'create:iron_sheet'
  })

  event.shaped('minecraft:bucket', [
    'S S',
    ' S '
  ], {
    S: 'create:iron_sheet'
  })
})
